{
  "accUserMode" : 2,
  "caption" : "列表测试分组",
  "codeName" : "bookUsr08024416ListView",
  "dynaModelFilePath" : "PSSYSAPPS/Web/PSAPPDEVIEWS/bookUsr08024416ListView.json",
  "mDCtrlActiveMode" : 2,
  "name" : "bookUsr08024416ListView",
  "getPSAppDataEntity" : {
    "modelref" : true,
    "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Book.json"
  },
  "getPSAppModule" : {
    "modelref" : true,
    "path" : "PSSYSAPPS/Web/PSAPPMODULES/Test.json"
  },
  "getPSAppViewEngines" : [ {
    "engineCat" : "VIEW",
    "engineType" : "ListView",
    "name" : "engine"
  } ],
  "getPSAppViewLogics" : [ {
    "logicTrigger" : "CUSTOM",
    "logicType" : "APPUILOGIC",
    "name" : "newdata",
    "getPSAppUILogic" : {
      "actionAfterWizard" : "DEFAULT",
      "logicType" : "PREDEFINED",
      "name" : "新建数据",
      "getNewDataPSAppView" : {
        "openMode" : "POPOVER",
        "getRefPSAppView" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDEVIEWS/bookUsr9EditView.json",
          "viewType" : "DEEDITVIEW"
        }
      },
      "getPSAppUILogicRefViews" : [ {
        "openMode" : "POPOVER",
        "getRefPSAppView" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDEVIEWS/bookUsr9EditView.json",
          "viewType" : "DEEDITVIEW"
        }
      } ],
      "viewLogicType" : "APP_NEWDATA",
      "batchAddOnly" : false,
      "enableBatchAdd" : false,
      "enableWizardAdd" : false
    }
  }, {
    "logicTrigger" : "CUSTOM",
    "logicType" : "APPUILOGIC",
    "name" : "opendata",
    "getPSAppUILogic" : {
      "logicType" : "PREDEFINED",
      "name" : "打开数据",
      "getOpenDataPSAppView" : {
        "openMode" : "POPOVER",
        "getRefPSAppView" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDEVIEWS/bookUsr9EditView.json",
          "viewType" : "DEEDITVIEW"
        }
      },
      "getPSAppUILogicRefViews" : [ {
        "openMode" : "POPOVER",
        "getRefPSAppView" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDEVIEWS/bookUsr9EditView.json",
          "viewType" : "DEEDITVIEW"
        }
      } ],
      "viewLogicType" : "APP_OPENDATA",
      "editMode" : true
    }
  } ],
  "getPSAppViewRefs" : [ {
    "name" : "EDITDATA",
    "realOpenMode" : "POPOVER",
    "realTitle" : "书编辑视图",
    "getRefPSAppView" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPDEVIEWS/bookUsr9EditView.json",
      "viewType" : "DEEDITVIEW"
    }
  }, {
    "name" : "NEWDATA",
    "realOpenMode" : "POPOVER",
    "realTitle" : "书编辑视图",
    "getRefPSAppView" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPDEVIEWS/bookUsr9EditView.json",
      "viewType" : "DEEDITVIEW"
    }
  } ],
  "getPSControls" : [ {
    "codeName" : "Usr08024416ListViewtoolbar",
    "controlType" : "TOOLBAR",
    "logicName" : "列表测试分组_工具栏",
    "name" : "toolbar",
    "getPSAppDataEntity" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Book.json"
    },
    "getPSControlParam" : {
      "id" : "TOOLBAR"
    },
    "getPSDEToolbarItems" : [ {
      "getCapPSLanguageRes" : {
        "lanResTag" : "TBB.TEXT.*.NEW"
      },
      "caption" : "新建",
      "groupExtractMode" : "ITEM",
      "itemType" : "DEUIACTION",
      "name" : "deuiaction1",
      "noPrivDisplayMode" : 2,
      "getPSAppViewUIAction" : {
        "modelref" : true,
        "id" : "toolbar_deuiaction1"
      },
      "getPSSysImage" : {
        "glyph" : "xf0f6@FontAwesome",
        "cssClass" : "fa fa-file-text-o"
      },
      "getPSUIAction" : {
        "getCapPSLanguageRes" : {
          "lanResTag" : "TBB.TEXT.*.NEW"
        },
        "caption" : "新建",
        "codeName" : "New",
        "fullCodeName" : "New",
        "name" : "表格界面_新建操作",
        "getPSSysImage" : {
          "glyph" : "xf0f6@FontAwesome",
          "cssClass" : "fa fa-file-text-o"
        },
        "predefinedType" : "GRIDVIEW_NEWACTION",
        "refreshMode" : 1,
        "timeout" : 60000,
        "getTooltipPSLanguageRes" : {
          "lanResTag" : "TBB.TOOLTIP.*.NEW"
        },
        "uIActionMode" : "SYS",
        "uIActionTag" : "New",
        "uIActionType" : "DEUIACTION",
        "reloadData" : true
      },
      "tooltip" : "新建",
      "getTooltipPSLanguageRes" : {
        "lanResTag" : "TBB.TOOLTIP.*.NEW"
      },
      "showCaption" : true,
      "showIcon" : true
    }, {
      "getCapPSLanguageRes" : {
        "lanResTag" : "TBB.TEXT.*.EDIT"
      },
      "caption" : "编辑",
      "groupExtractMode" : "ITEM",
      "itemType" : "DEUIACTION",
      "name" : "deuiaction2",
      "noPrivDisplayMode" : 2,
      "getPSAppViewUIAction" : {
        "modelref" : true,
        "id" : "toolbar_deuiaction2"
      },
      "getPSSysImage" : {
        "glyph" : "xf044@FontAwesome",
        "cssClass" : "fa fa-edit"
      },
      "getPSUIAction" : {
        "actionTarget" : "SINGLEKEY",
        "getCapPSLanguageRes" : {
          "lanResTag" : "TBB.TEXT.*.EDIT"
        },
        "caption" : "编辑",
        "codeName" : "Edit",
        "fullCodeName" : "Edit",
        "name" : "表格界面_编辑操作",
        "getPSSysImage" : {
          "glyph" : "xf044@FontAwesome",
          "cssClass" : "fa fa-edit"
        },
        "predefinedType" : "GRIDVIEW_EDITACTION",
        "timeout" : 60000,
        "getTooltipPSLanguageRes" : {
          "lanResTag" : "TBB.TOOLTIP.*.EDIT"
        },
        "uIActionMode" : "SYS",
        "uIActionTag" : "Edit",
        "uIActionType" : "DEUIACTION"
      },
      "tooltip" : "编辑",
      "getTooltipPSLanguageRes" : {
        "lanResTag" : "TBB.TOOLTIP.*.EDIT"
      },
      "uIActionTarget" : "SINGLEKEY",
      "showCaption" : true,
      "showIcon" : true
    }, {
      "caption" : "列表分组收缩",
      "groupExtractMode" : "ITEM",
      "itemType" : "DEUIACTION",
      "name" : "deuiaction3",
      "noPrivDisplayMode" : 2,
      "getPSAppViewUIAction" : {
        "modelref" : true,
        "id" : "toolbar_deuiaction3"
      },
      "getPSUIAction" : {
        "actionTarget" : "NONE",
        "caption" : "列表分组收缩",
        "codeName" : "list_group_collapse",
        "frontProcessType" : "OTHER",
        "fullCodeName" : "list_group_collapse",
        "name" : "列表分组自定义收缩",
        "scriptCode" : "view.callUIAction('Collapse', { params: {srfgroup: 'xx'} });",
        "uIActionMode" : "FRONT",
        "uIActionTag" : "list_group_collapse",
        "uIActionType" : "DEUIACTION"
      },
      "tooltip" : "列表分组收缩",
      "uIActionTarget" : "NONE",
      "showCaption" : true,
      "showIcon" : true
    }, {
      "caption" : "列表分组展开",
      "groupExtractMode" : "ITEM",
      "itemType" : "DEUIACTION",
      "name" : "deuiaction4",
      "noPrivDisplayMode" : 2,
      "getPSAppViewUIAction" : {
        "modelref" : true,
        "id" : "toolbar_deuiaction4"
      },
      "getPSUIAction" : {
        "actionTarget" : "NONE",
        "caption" : "列表分组展开",
        "codeName" : "list_group_expand",
        "frontProcessType" : "OTHER",
        "fullCodeName" : "list_group_expand",
        "name" : "列表分组自定义展开",
        "scriptCode" : "view.callUIAction('Expand', { params: {srfgroup: 'xx'} });",
        "uIActionMode" : "FRONT",
        "uIActionTag" : "list_group_expand",
        "uIActionType" : "DEUIACTION"
      },
      "tooltip" : "列表分组展开",
      "uIActionTarget" : "NONE",
      "showCaption" : true,
      "showIcon" : true
    }, {
      "caption" : "全部收缩",
      "groupExtractMode" : "ITEM",
      "itemType" : "DEUIACTION",
      "name" : "deuiaction5",
      "noPrivDisplayMode" : 2,
      "getPSAppViewUIAction" : {
        "modelref" : true,
        "id" : "toolbar_deuiaction5"
      },
      "getPSUIAction" : {
        "caption" : "全部收缩",
        "codeName" : "CollapseAll",
        "fullCodeName" : "CollapseAll",
        "name" : "全部收缩",
        "predefinedType" : "UTIL_COLLAPSEALL",
        "timeout" : 60000,
        "uIActionMode" : "SYS",
        "uIActionTag" : "CollapseAll",
        "uIActionType" : "DEUIACTION"
      },
      "tooltip" : "全部收缩",
      "showCaption" : true,
      "showIcon" : true
    }, {
      "caption" : "全部展开",
      "groupExtractMode" : "ITEM",
      "itemType" : "DEUIACTION",
      "name" : "deuiaction6",
      "noPrivDisplayMode" : 2,
      "getPSAppViewUIAction" : {
        "modelref" : true,
        "id" : "toolbar_deuiaction6"
      },
      "getPSUIAction" : {
        "caption" : "全部展开",
        "codeName" : "ExpandAll",
        "fullCodeName" : "ExpandAll",
        "name" : "全部展开",
        "predefinedType" : "UTIL_EXPANDALL",
        "timeout" : 60000,
        "uIActionMode" : "SYS",
        "uIActionTag" : "ExpandAll",
        "uIActionType" : "DEUIACTION"
      },
      "tooltip" : "全部展开",
      "showCaption" : true,
      "showIcon" : true
    } ],
    "xDataControlName" : "list",
    "modelid" : "FAB9E725-EB8D-48A8-B1EC-3D4DA083B012",
    "modeltype" : "PSDETOOLBAR"
  }, {
    "codeName" : "Usr08024416ListView_SearchForm",
    "controlType" : "SEARCHFORM",
    "defaultLabelWidth" : 130,
    "dynaModelFilePath" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Book/PSSEARCHFORMS/Usr08024416ListView_SearchForm.json",
    "logicName" : "列表测试分组_搜索表单",
    "getPSAppDataEntity" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Book.json"
    },
    "getPSControlHandler" : {
      "getPSHandlerActions" : [ {
        "actionType" : "FILTERACTION",
        "name" : "load",
        "getPSAppDEMethod" : {
          "modelref" : true,
          "id" : "FilterGet"
        },
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Book.json"
        }
      }, {
        "actionType" : "FILTERACTION",
        "name" : "loaddraft",
        "getPSAppDEMethod" : {
          "modelref" : true,
          "id" : "FilterGetDraft"
        },
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Book.json"
        }
      }, {
        "actionType" : "FILTERACTION",
        "name" : "search",
        "getPSAppDEMethod" : {
          "modelref" : true,
          "id" : "FilterSearch"
        },
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Book.json"
        }
      } ],
      "enableDEFieldPrivilege" : false,
      "id" : "搜索表单处理器"
    },
    "getPSControlParam" : {
      "autoLoad" : true,
      "showBusyIndicator" : true,
      "id" : "SEARCHFORM"
    },
    "getPSDEFormPages" : [ {
      "caption" : "常规条件",
      "codeName" : "formpage1",
      "detailStyle" : "DEFAULT",
      "detailType" : "FORMPAGE",
      "name" : "formpage1",
      "getPSLayout" : {
        "childColMD" : 24,
        "columnCount" : 24,
        "layout" : "TABLE_24COL"
      },
      "infoGroupMode" : false
    } ],
    "getPSLayout" : {
      "childColMD" : 24,
      "columnCount" : 24,
      "layout" : "TABLE_24COL"
    },
    "searchButtonStyle" : "DEFAULT",
    "tabHeaderPos" : "TOP",
    "enableAdvanceSearch" : false,
    "enableAutoSearch" : false,
    "enableFilterSave" : false,
    "noTabHeader" : true,
    "name" : "searchform",
    "modelid" : "50949C17-629C-4CE5-912D-EAD29E885F39",
    "modeltype" : "PSDEFORM_SEARCHFORM"
  }, {
    "codeName" : "Usr08024416ListView_List",
    "controlType" : "LIST",
    "getCreatePSControlAction" : {
      "modelref" : true,
      "id" : "create",
      "actionName" : "Create",
      "actionType" : "DEACTION",
      "dataAccessAction" : "CREATE",
      "name" : "create",
      "getPSAppDEMethod" : {
        "modelref" : true,
        "id" : "Create"
      },
      "getPSAppDataEntity" : {
        "modelref" : true,
        "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Book.json"
      }
    },
    "dynaModelFilePath" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Book/PSLISTS/Usr08024416ListView_List.json",
    "getFetchPSControlAction" : {
      "modelref" : true,
      "id" : "fetch",
      "actionType" : "DEDATASET",
      "name" : "fetch",
      "getPSAppDEMethod" : {
        "modelref" : true,
        "id" : "FetchDefault"
      },
      "getPSAppDataEntity" : {
        "modelref" : true,
        "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Book.json"
      }
    },
    "getGetPSControlAction" : {
      "modelref" : true,
      "id" : "load",
      "actionName" : "Get",
      "actionType" : "DEACTION",
      "dataAccessAction" : "READ",
      "name" : "load",
      "getPSAppDEMethod" : {
        "modelref" : true,
        "id" : "Get"
      },
      "getPSAppDataEntity" : {
        "modelref" : true,
        "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Book.json"
      }
    },
    "groupMode" : "CODELIST",
    "getGroupPSAppDEField" : {
      "name" : "TYPE",
      "codeName" : "Type"
    },
    "getGroupPSCodeList" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPCODELISTS/ModelRepository__CodeList44.json"
    },
    "getGroupPSUIActionGroup" : {
      "codeName" : "Usr0123350661",
      "name" : "气泡打开视图界面行为组",
      "getPSAppDataEntity" : {
        "modelref" : true,
        "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Book.json"
      },
      "getPSUIActionGroupDetails" : [ {
        "actionLevel" : 50,
        "caption" : "气泡打开",
        "detailType" : "DEUIACTION",
        "name" : "u67903cf",
        "getPSUIAction" : {
          "actionLevel" : 50,
          "actionTarget" : "NONE",
          "caption" : "气泡打开",
          "codeName" : "openPopover",
          "getFrontPSAppView" : {
            "modelref" : true,
            "path" : "PSSYSAPPS/Web/PSAPPDEVIEWS/bookUsrPopoverEditView.json",
            "viewType" : "DEEDITVIEW"
          },
          "frontProcessType" : "WIZARD",
          "fullCodeName" : "Book_openPopover",
          "name" : "气泡打开",
          "getPSAppDataEntity" : {
            "modelref" : true,
            "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Book.json"
          },
          "uIActionMode" : "FRONT",
          "uIActionTag" : "openPopover",
          "uIActionType" : "DEUIACTION",
          "id" : "openPopover@Book"
        },
        "addSeparator" : false,
        "showCaption" : true,
        "showIcon" : true
      }, {
        "caption" : "打开主数据视图",
        "detailType" : "DEUIACTION",
        "name" : "uf5bd897",
        "getPSUIAction" : {
          "actionTarget" : "SINGLEKEY",
          "caption" : "打开主数据视图",
          "codeName" : "open_main_view",
          "getFrontPSAppView" : {
            "modelref" : true,
            "path" : "PSSYSAPPS/Web/PSAPPDEVIEWS/bookGridView.json",
            "viewType" : "DEGRIDVIEW"
          },
          "frontProcessType" : "TOP",
          "fullCodeName" : "Book_open_main_view",
          "name" : "打开主数据视图",
          "getPSAppDataEntity" : {
            "modelref" : true,
            "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Book.json"
          },
          "uIActionMode" : "FRONT",
          "uIActionTag" : "open_main_view",
          "uIActionType" : "DEUIACTION",
          "id" : "open_main_view@Book"
        },
        "addSeparator" : false,
        "showCaption" : true,
        "showIcon" : true
      }, {
        "actionLevel" : 50,
        "caption" : "气泡打开视图",
        "detailType" : "DEUIACTION",
        "name" : "udd11136",
        "getPSUIAction" : {
          "actionLevel" : 50,
          "actionTarget" : "NONE",
          "caption" : "气泡打开视图",
          "codeName" : "openPopoverView",
          "getFrontPSAppView" : {
            "modelref" : true,
            "path" : "PSSYSAPPS/Web/PSAPPDEVIEWS/bookUsrPopoverEditView.json",
            "viewType" : "DEEDITVIEW"
          },
          "frontProcessType" : "WIZARD",
          "fullCodeName" : "Book_openPopoverView",
          "name" : "气泡打开视图",
          "getPSAppDataEntity" : {
            "modelref" : true,
            "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Book.json"
          },
          "uIActionMode" : "FRONT",
          "uIActionTag" : "openPopoverView",
          "uIActionType" : "DEUIACTION",
          "id" : "openPopoverView@Book"
        },
        "addSeparator" : false,
        "showCaption" : true,
        "showIcon" : true
      }, {
        "caption" : "打开数据导出视图",
        "detailType" : "DEUIACTION",
        "name" : "u5cdc0a2",
        "getPSUIAction" : {
          "actionTarget" : "SINGLEDATA",
          "caption" : "打开数据导出视图",
          "codeName" : "frontDataExp",
          "frontProcessType" : "DATAEXP",
          "fullCodeName" : "Book_frontDataExp",
          "name" : "打开数据导出视图",
          "getPSAppDEDataExport" : {
            "modelref" : true,
            "id" : "DataExport"
          },
          "getPSAppDataEntity" : {
            "modelref" : true,
            "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Book.json"
          },
          "uIActionMode" : "FRONT",
          "uIActionTag" : "frontDataExp",
          "uIActionType" : "DEUIACTION",
          "id" : "frontDataExp@Book"
        },
        "addSeparator" : false,
        "showCaption" : true,
        "showIcon" : true
      }, {
        "caption" : "打开HTML界面",
        "detailType" : "DEUIACTION",
        "name" : "u3685053",
        "getPSUIAction" : {
          "actionTarget" : "SINGLEDATA",
          "caption" : "打开HTML界面",
          "codeName" : "OpenHtml",
          "frontProcessType" : "OPENHTMLPAGE",
          "fullCodeName" : "Book_OpenHtml",
          "htmlPageUrl" : "https://www.baidu.com",
          "name" : "OpenHtml",
          "getPSAppDataEntity" : {
            "modelref" : true,
            "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Book.json"
          },
          "uIActionMode" : "FRONT",
          "uIActionTag" : "OpenHtml",
          "uIActionType" : "DEUIACTION",
          "id" : "OpenHtml@Book"
        },
        "addSeparator" : false,
        "showCaption" : true,
        "showIcon" : true
      } ],
      "uniqueTag" : "Book__Usr0123350661"
    },
    "getItemPSLayoutPanel" : {
      "getAllPSPanelFields" : [ {
        "id" : "bookname",
        "viewFieldName" : "BOOKNAME"
      } ],
      "codeName" : "Usr0909028569",
      "controlType" : "PANEL",
      "dynaModelFilePath" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Book/PSPANELS/Usr0909028569.json",
      "layoutMode" : "FLEX",
      "logicName" : "Usr08024416ListView_List列表",
      "getPSAppDataEntity" : {
        "modelref" : true,
        "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Book.json"
      },
      "getPSControlParam" : { },
      "getPSLayout" : {
        "layout" : "FLEX"
      },
      "getRootPSPanelItems" : [ {
        "caption" : "文本(动态)",
        "itemStyle" : "DEFAULT",
        "itemType" : "FIELD",
        "name" : "bookname",
        "getPSEditor" : {
          "editorType" : "SPAN",
          "name" : "bookname",
          "predefinedType" : "FIELD_TEXT_DYNAMIC",
          "renderMode" : "TEXT_DYNAMIC",
          "enableLinkView" : false
        },
        "getPSLayoutPos" : {
          "grow" : -1,
          "layout" : "FLEX"
        },
        "viewFieldName" : "BOOKNAME"
      } ],
      "layoutPanel" : true,
      "name" : "list_itempanel",
      "modelid" : "6AA8AFA2-06DF-4A35-B471-93A66CAFF9B3",
      "modeltype" : "PSSYSVIEWPANEL"
    },
    "logicName" : "List",
    "getPSAppDataEntity" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Book.json"
    },
    "getPSControlHandler" : {
      "getPSHandlerActions" : [ {
        "actionName" : "Get",
        "actionType" : "DEACTION",
        "dataAccessAction" : "READ",
        "name" : "load",
        "getPSAppDEMethod" : {
          "modelref" : true,
          "id" : "Get"
        },
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Book.json"
        }
      }, {
        "actionName" : "Create",
        "actionType" : "DEACTION",
        "dataAccessAction" : "CREATE",
        "name" : "create",
        "getPSAppDEMethod" : {
          "modelref" : true,
          "id" : "Create"
        },
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Book.json"
        }
      }, {
        "actionName" : "Update",
        "actionType" : "DEACTION",
        "dataAccessAction" : "UPDATE",
        "name" : "update",
        "getPSAppDEMethod" : {
          "modelref" : true,
          "id" : "Update"
        },
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Book.json"
        }
      }, {
        "actionName" : "Remove",
        "actionType" : "DEACTION",
        "dataAccessAction" : "DELETE",
        "name" : "remove",
        "getPSAppDEMethod" : {
          "modelref" : true,
          "id" : "Remove"
        },
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Book.json"
        }
      }, {
        "actionType" : "DEDATASET",
        "name" : "fetch",
        "getPSAppDEMethod" : {
          "modelref" : true,
          "id" : "FetchDefault"
        },
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Book.json"
        }
      } ],
      "userDRAction" : "READ",
      "enableDEFieldPrivilege" : false,
      "id" : "列表控件处理器"
    },
    "getPSControlParam" : {
      "autoLoad" : true,
      "showBusyIndicator" : true,
      "ctrlParams" : {
        "DEFAULTEXPANDALL" : "true"
      },
      "id" : "LIST"
    },
    "getPSControls" : [ {
      "codeName" : "Usr08024416ListViewlist_quicktoolbar",
      "controlType" : "TOOLBAR",
      "logicName" : "快速操作工具栏",
      "name" : "list_quicktoolbar",
      "getPSAppDataEntity" : {
        "modelref" : true,
        "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Book.json"
      },
      "getPSControlParam" : {
        "id" : "list_quicktoolbar"
      },
      "getPSDEToolbarItems" : [ {
        "getCapPSLanguageRes" : {
          "lanResTag" : "TBB.TEXT.*.NEW"
        },
        "caption" : "新建",
        "groupExtractMode" : "ITEM",
        "itemType" : "DEUIACTION",
        "name" : "deuiaction1",
        "noPrivDisplayMode" : 2,
        "getPSAppViewUIAction" : {
          "modelref" : true,
          "id" : "list_quicktoolbar_deuiaction1"
        },
        "getPSSysImage" : {
          "glyph" : "xf0f6@FontAwesome",
          "cssClass" : "fa fa-file-text-o"
        },
        "getPSUIAction" : {
          "getCapPSLanguageRes" : {
            "lanResTag" : "TBB.TEXT.*.NEW"
          },
          "caption" : "新建",
          "codeName" : "New",
          "fullCodeName" : "New",
          "name" : "表格界面_新建操作",
          "getPSSysImage" : {
            "glyph" : "xf0f6@FontAwesome",
            "cssClass" : "fa fa-file-text-o"
          },
          "predefinedType" : "GRIDVIEW_NEWACTION",
          "refreshMode" : 1,
          "timeout" : 60000,
          "getTooltipPSLanguageRes" : {
            "lanResTag" : "TBB.TOOLTIP.*.NEW"
          },
          "uIActionMode" : "SYS",
          "uIActionTag" : "New",
          "uIActionType" : "DEUIACTION",
          "reloadData" : true
        },
        "tooltip" : "新建",
        "getTooltipPSLanguageRes" : {
          "lanResTag" : "TBB.TOOLTIP.*.NEW"
        },
        "showCaption" : true,
        "showIcon" : true
      }, {
        "getCapPSLanguageRes" : {
          "lanResTag" : "TBB.TEXT.EDITVIEW.CLOSE"
        },
        "caption" : "关闭",
        "groupExtractMode" : "ITEM",
        "itemType" : "DEUIACTION",
        "name" : "deuiaction2",
        "noPrivDisplayMode" : 2,
        "getPSAppViewUIAction" : {
          "modelref" : true,
          "id" : "list_quicktoolbar_deuiaction2"
        },
        "getPSSysImage" : {
          "glyph" : "xf08b@FontAwesome",
          "cssClass" : "fa fa-sign-out"
        },
        "getPSUIAction" : {
          "getCapPSLanguageRes" : {
            "lanResTag" : "TBB.TEXT.EDITVIEW.CLOSE"
          },
          "caption" : "关闭",
          "codeName" : "Exit",
          "fullCodeName" : "Exit",
          "name" : "编辑界面_退出操作",
          "getPSSysImage" : {
            "glyph" : "xf08b@FontAwesome",
            "cssClass" : "fa fa-sign-out"
          },
          "predefinedType" : "EDITVIEW_EXITACTION",
          "timeout" : 60000,
          "getTooltipPSLanguageRes" : {
            "lanResTag" : "TBB.TOOLTIP.EDITVIEW.CLOSE"
          },
          "uIActionMode" : "SYS",
          "uIActionTag" : "Exit",
          "uIActionType" : "DEUIACTION"
        },
        "tooltip" : "关闭",
        "getTooltipPSLanguageRes" : {
          "lanResTag" : "TBB.TOOLTIP.EDITVIEW.CLOSE"
        },
        "showCaption" : true,
        "showIcon" : true
      } ],
      "modelid" : "4B910475-5D70-462A-982D-356D14AF6724",
      "modeltype" : "PSDETOOLBAR"
    }, {
      "codeName" : "Usr08024416ListViewlist_batchtoolbar",
      "controlType" : "TOOLBAR",
      "logicName" : "批操作工具栏",
      "name" : "list_batchtoolbar",
      "getPSAppDataEntity" : {
        "modelref" : true,
        "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Book.json"
      },
      "getPSControlParam" : {
        "id" : "list_batchtoolbar"
      },
      "getPSDEToolbarItems" : [ {
        "getCapPSLanguageRes" : {
          "lanResTag" : "TBB.TEXT.*.REMOVE"
        },
        "caption" : "删除",
        "groupExtractMode" : "ITEM",
        "itemType" : "DEUIACTION",
        "name" : "deuiaction1",
        "noPrivDisplayMode" : 2,
        "getPSAppViewUIAction" : {
          "modelref" : true,
          "id" : "list_batchtoolbar_deuiaction1"
        },
        "getPSSysImage" : {
          "glyph" : "xf00d@FontAwesome",
          "cssClass" : "fa fa-remove"
        },
        "getPSUIAction" : {
          "actionTarget" : "MULTIKEY",
          "getCapPSLanguageRes" : {
            "lanResTag" : "TBB.TEXT.*.REMOVE"
          },
          "caption" : "删除",
          "codeName" : "Remove",
          "fullCodeName" : "Remove",
          "name" : "表格界面_删除操作",
          "getPSSysImage" : {
            "glyph" : "xf00d@FontAwesome",
            "cssClass" : "fa fa-remove"
          },
          "predefinedType" : "GRIDVIEW_REMOVEACTION",
          "timeout" : 60000,
          "getTooltipPSLanguageRes" : {
            "lanResTag" : "TBB.TOOLTIP.*.REMOVE"
          },
          "uIActionMode" : "SYS",
          "uIActionTag" : "Remove",
          "uIActionType" : "DEUIACTION"
        },
        "tooltip" : "删除",
        "getTooltipPSLanguageRes" : {
          "lanResTag" : "TBB.TOOLTIP.*.REMOVE"
        },
        "uIActionTarget" : "MULTIKEY",
        "showCaption" : true,
        "showIcon" : true
      }, {
        "caption" : "项测试",
        "groupExtractMode" : "ITEM",
        "itemType" : "DEUIACTION",
        "name" : "deuiaction2",
        "noPrivDisplayMode" : 2,
        "getPSAppViewUIAction" : {
          "modelref" : true,
          "id" : "list_batchtoolbar_deuiaction2"
        },
        "getPSUIAction" : {
          "actionTarget" : "SINGLEDATA",
          "caption" : "打开HTML界面",
          "codeName" : "OpenHtml",
          "frontProcessType" : "OPENHTMLPAGE",
          "fullCodeName" : "Book_OpenHtml",
          "htmlPageUrl" : "https://www.baidu.com",
          "name" : "OpenHtml",
          "getPSAppDataEntity" : {
            "modelref" : true,
            "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Book.json"
          },
          "uIActionMode" : "FRONT",
          "uIActionTag" : "OpenHtml",
          "uIActionType" : "DEUIACTION",
          "id" : "OpenHtml@Book"
        },
        "tooltip" : "项测试",
        "uIActionTarget" : "SINGLEDATA",
        "showCaption" : true,
        "showIcon" : true
      } ],
      "modelid" : "5F1F0A99-49FB-42C2-93D5-4B5741381C23",
      "modeltype" : "PSDETOOLBAR"
    } ],
    "getPSDEListDataItems" : [ {
      "dataType" : 25,
      "name" : "kind",
      "getPSAppDEField" : {
        "name" : "TYPE",
        "codeName" : "Type"
      }
    }, {
      "dataType" : 25,
      "name" : "text",
      "getPSAppDEField" : {
        "name" : "BOOKNAME",
        "codeName" : "BookName"
      }
    }, {
      "dataType" : 25,
      "name" : "srfkey",
      "getPSAppDEField" : {
        "name" : "BOOKID",
        "codeName" : "BookId"
      }
    }, {
      "dataType" : 25,
      "name" : "srfmajortext",
      "getPSAppDEField" : {
        "name" : "BOOKNAME",
        "codeName" : "BookName"
      }
    }, {
      "dataType" : 25,
      "name" : "phoneid",
      "getPSAppDEField" : {
        "name" : "PHONEID",
        "codeName" : "PhoneId"
      }
    }, {
      "dataType" : 25,
      "name" : "pbookid",
      "getPSAppDEField" : {
        "name" : "PBOOKID",
        "codeName" : "Pbookid"
      }
    } ],
    "getPSSysPFPlugin" : {
      "pluginType" : "EDITOR_CUSTOMSTYLE",
      "pluginCode" : "editorTest"
    },
    "pagingSize" : 1000,
    "getRemovePSControlAction" : {
      "modelref" : true,
      "id" : "remove",
      "actionName" : "Remove",
      "actionType" : "DEACTION",
      "dataAccessAction" : "DELETE",
      "name" : "remove",
      "getPSAppDEMethod" : {
        "modelref" : true,
        "id" : "Remove"
      },
      "getPSAppDataEntity" : {
        "modelref" : true,
        "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Book.json"
      }
    },
    "getUpdatePSControlAction" : {
      "modelref" : true,
      "id" : "update",
      "actionName" : "Update",
      "actionType" : "DEACTION",
      "dataAccessAction" : "UPDATE",
      "name" : "update",
      "getPSAppDEMethod" : {
        "modelref" : true,
        "id" : "Update"
      },
      "getPSAppDataEntity" : {
        "modelref" : true,
        "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Book.json"
      }
    },
    "hasWFDataItems" : false,
    "enableGroup" : true,
    "enableRowEdit" : false,
    "enableRowEditGroup" : false,
    "enableRowEditOrder" : false,
    "enableRowNew" : false,
    "noSort" : false,
    "showHeader" : true,
    "singleSelect" : false,
    "name" : "list",
    "modelid" : "416DCB90-0D16-4236-BEB7-C0AF0B105C3E",
    "modeltype" : "PSDELIST"
  }, {
    "controlType" : "SEARCHBAR",
    "name" : "searchbar",
    "getPSAppDataEntity" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Book.json"
    },
    "getPSControlParam" : {
      "id" : "searchbar"
    },
    "quickGroupCount" : -1,
    "quickSearchMode" : 1,
    "quickSearchWidth" : 0,
    "enableFilter" : false,
    "enableGroup" : false,
    "enableQuickSearch" : true,
    "mobileSearchBar" : false
  }, {
    "caption" : "列表测试分组",
    "codeName" : "Usr08024416ListViewcaptionbar",
    "controlType" : "CAPTIONBAR",
    "name" : "captionbar",
    "getPSAppDataEntity" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Book.json"
    },
    "getPSControlParam" : { }
  } ],
  "getPSDEViewCodeName" : "Usr08024416ListView",
  "getPSDEViewId" : "3468C8C3-AEF2-450B-8872-B77933621E9F",
  "getPSViewLayoutPanel" : {
    "codeName" : "Layoutpanel",
    "controlStyle" : "APPDELISTVIEW",
    "controlType" : "VIEWLAYOUTPANEL",
    "name" : "layoutpanel",
    "getPSAppDataEntity" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Book.json"
    },
    "getPSControlParam" : { },
    "layoutBodyOnly" : true,
    "layoutPanel" : true,
    "useDefaultLayout" : true
  },
  "title" : "列表测试分组",
  "viewStyle" : "DEFAULT",
  "viewType" : "DELISTVIEW",
  "xDataControlName" : "list",
  "enableDP" : true,
  "enableFilter" : true,
  "enableQuickSearch" : true,
  "enableSearch" : true,
  "modelid" : "E2AA9386-C8F7-4030-86A7-87BCE066AEEB",
  "modeltype" : "PSAPPDEVIEW"
}